#ifndef DISASSEM_H
#define DISASSEM_H
#pragma comment(lib,"disassem.lib")
#define DISASSEMAPI  __declspec(dllimport) __cdecl

typedef struct tagx86inst
{
	unsigned short opcode;
	unsigned char modRM;
	unsigned char SIB;
	int displacement;
	int immediate;
	int address_size;
	int operand_size;
} x86inst;

#ifdef __cplusplus
extern "C" {
#endif

unsigned char * DISASSEMAPI disassemble(unsigned char *code,unsigned char *base,int nCount,char *buffer,int cbBuffer,x86inst *x86);
void DISASSEMAPI disassemble_range(unsigned char *code,unsigned char *end,unsigned char *base,char *buffer,int cbBuffer);
int DISASSEMAPI get_func_count(unsigned char *code);
int DISASSEMAPI get_func_size(unsigned char *code);
int DISASSEMAPI get_inst_size(unsigned char *code);
#ifdef __cplusplus

}

#endif
#endif