#use "disassem.lib"

struct x86inst
{
	unsigned word opcode;
	unsigned byte modRM;
	unsigned byte SIB;
	int displacement;
	int immediate;
	int address_size;
	int operand_size;
}

#ifndef MAKEDLL
declare cdecl import,disassemble(unsigned byte *code,unsigned byte *base,int nCount,string *buffer,int cbBuffer,x86inst *x86),unsigned byte *;
declare cdecl import,disassemble_range(unsigned byte *code,unsigned byte *end,unsigned byte *base,string *buffer,int cbBuffer);
declare cdecl import,get_func_count(unsigned byte *code),int;
declare cdecl import,get_func_size(unsigned byte *code),int;
declare cdecl import,get_inst_size(unsigned byte *code),int;
declare cdecl import,DecodeOpcode(unsigned word opcode,unsigned byte modRM,unsigned byte SIB,int displacement,int immediate,int opsize,int adsize,void* startaddr,void *endaddr,void *base),string;
#else
declare cdecl disassemble(unsigned byte *code,unsigned byte *base,int nCount,string *buffer,int cbBuffer,x86inst *x86),unsigned byte *;
declare cdecl disassemble_range(unsigned byte *code,unsigned byte *end,unsigned byte *base,string *buffer,int cbBuffer);
declare cdecl get_func_count(unsigned byte *code),int;
declare cdecl get_func_size(unsigned byte *code),int;
declare cdecl get_inst_size(unsigned byte *code),int;
declare cdecl DecodeOpcode(unsigned word opcode,unsigned byte modRM,unsigned byte SIB,int displacement,int immediate,int opsize,int adsize,void* startaddr,void *endaddr,void *base),string;
#endif